tosca_definitions_version: tosca_simple_yaml_1_0

# compile this with "m4 vpgwu.m4 > vpgwu.yaml"

# include macros
include(macros.m4)

node_types:
    tosca.nodes.VPGWUService:
        derived_from: tosca.nodes.Root
        description: >
            CORD - The vPGWU Service
        capabilities:
            xos_base_service_caps
        properties:
            xos_base_props
            xos_base_service_props

    tosca.nodes.VPGWUTenant:
        derived_from: tosca.nodes.Root
        description: >
            CORD - The vPGWU Tenant
        properties:
            xos_base_tenant_props
            display_message:
                type: string
                required: false
            s5s8_pgw_tag:
                type: string
                required: false
            image_name:
                type: string
                required: false
